CWStyleManagerInternal::State Struct Reference

## Public Member Functions

| State ()
| constructor More...
int | getFontId (int localId) const
| return a mac font id corresponding to a local id More...

## Public Attributes

int | m_version
| the version More...
std::map< int, int > | m_localFIdMap
| a map local fontId->fontId More...
std::map< int, CWStyleManager::Style > | m_stylesMap
| the styles map id->style More...
std::map< int, int > | m_lookupMap
| the style lookupMap More...
std::vector < CWStyleManager::Graphic > | m_graphList
| the Graphic list More...
std::vector< CWStyleManager::KSEN > | m_ksenList
| the KSEN list More...

## Constructor & Destructor Documentation

CWStyleManagerInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

int CWStyleManagerInternal::State::getFontId | ( | int | localId | ) | const

inline

return a mac font id corresponding to a local id

## Member Data Documentation

std::vector<CWStyleManager::Graphic> CWStyleManagerInternal::State::m_graphList

the Graphic list

std::vector<CWStyleManager::KSEN> CWStyleManagerInternal::State::m_ksenList

the KSEN list

std::map<int, int> CWStyleManagerInternal::State::m_localFIdMap

a map local fontId->fontId

Referenced by getFontId().

std::map<int, int> CWStyleManagerInternal::State::m_lookupMap

the style lookupMap

std::map<int, CWStyleManager::Style> CWStyleManagerInternal::State::m_stylesMap

the styles map id->style

int CWStyleManagerInternal::State::m_version

the version

The documentation for this struct was generated from the following file:

- CWStyleManager.cxx